%global _version 2.7.0

Name: netperf 
Version: 2.7.0
Release: 3
Summary: A Performance benchmark testing tool fro TCP/UDP
License: HP no-commercial 
URL: http://github.com/HewlettPackard/netperf
Source0: https://github.com/HewlettPackard/netperf/archive/%{name}-%{_version}.tar.gz

BuildRequires:texinfo texinfo-tex 

%description
netperf is a collection of  many different network performance benchmarking tools

%package_help

%prep
%setup -q

%build
%configure 
%{__make} %{_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%{__rm} -rf %{buildroot}%{_infodir}/dir

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README AUTHORS COPYING Release_Notes
%{_bindir}/netperf
%{_bindir}/netserver
%{_infodir}/netperf.*

%files help
%doc doc/netperf.{html,pdf,txt,xml}
%doc doc/examples
%{_mandir}/man1/*

%changelog
* Sat Sep 26 2020 hushiyuan <hushiyuan@huawei.com> - 2.7.0-3
* Delete install-info in post and preun

* Tue Apr 8 2020 hushiyuan <hushiyuan@huawie.com> - 2.7.0.-2
- Update package description for some spelling mistake

* Tue Mar 13 2020 hushiyuan <hushiyuan@huawei.com> - 2.7.0-1
- Package init
